import { defineComponent as v, shallowRef as h, toRaw as n, openBlock as b, createElementBlock as y, normalizeStyle as f } from "vue";
const g = "vue-email-editor", E = "2.1.5", j = "dist/vue-email-editor.es", S = "dist/vue-email-editor.d.ts", _ = {
  serve: "vue-cli-service serve",
  build: "vue-cli-service build",
  lint: "vue-cli-service lint",
  "adjust-types": `sed -i '' '1s/^/\\/\\/\\/ <reference types=\\"unlayer-types\\/embed.d.ts\\" \\/>\\n/' ./dist/components/types.d.ts`,
  "build-types": "vue-tsc --emitDeclarationOnly && npm run adjust-types",
  "build-bundle": "vite build && cd ./src/components && npm run build-types",
  release: "npm run build-bundle && npm publish"
}, k = {
  "unlayer-types": "latest",
  vue: "^3.2.13"
}, I = {
  "@babel/types": "^7.24.7",
  "@vitejs/plugin-vue": "^5.0.5",
  "@vue/cli-plugin-typescript": "~5.0.0",
  "@vue/cli-service": "~5.0.0",
  typescript: "^5.2.2",
  vite: "^5.3.1",
  "vue-dts-gen": "^0.3.0",
  "vue-loader": "^17.4.2",
  "vue-router": "^4.4.0",
  "vue-template-compiler": "^2.7.16",
  "vue-tsc": "^2.0.22"
}, D = [
  "dist"
], c = {
  name: g,
  version: E,
  main: j,
  types: S,
  scripts: _,
  dependencies: k,
  devDependencies: I,
  files: D
}, $ = "https://editor.unlayer.com/embed.js?2", l = [];
let a = !1;
const C = (e) => {
  const t = document.querySelectorAll("script");
  let i = !1;
  return t.forEach((s) => {
    s.src.includes(e) && (i = !0);
  }), i;
}, w = (e) => {
  l.push(e);
}, d = () => {
  if (a) {
    let e;
    for (; e = l.shift(); )
      e();
  }
}, H = (e, t = $) => {
  if (w(e), C(t))
    d();
  else {
    const i = document.createElement("script");
    i.setAttribute("src", t), i.onload = () => {
      a = !0, d();
    }, document.head.appendChild(i);
  }
};
let O = 0;
const x = v({
  name: "EmailEditor",
  props: {
    editorId: String,
    minHeight: {
      type: String,
      default: "500px"
    },
    options: {
      type: Object,
      default: () => ({})
    },
    scriptUrl: String,
    /**
     * @Deprecated Props: Use `options.appearance` instead
     */
    appearance: Object,
    /**
    * @Deprecated Props: Use `options.locale` instead
    */
    locale: String,
    /**
    * @Deprecated Props: Use `options.projectId` instead
    */
    projectId: Number,
    /**
    * @Deprecated Props: Use `options.tools` instead
    */
    tools: Object
  },
  computed: {
    id() {
      return this.editorId || `editor-${++O}`;
    }
  },
  setup() {
    return {
      editor: h(null),
      createSerializedEditor: (i) => i ? {
        ...i,
        registerCallback: (s, r) => {
          i.registerCallback(s, (o, p) => {
            r(o, (u) => {
              const m = n(u);
              p(m);
            });
          });
        }
      } : null
    };
  },
  mounted() {
    H(this.loadEditor.bind(this), this.scriptUrl);
  },
  methods: {
    loadEditor() {
      var i;
      const e = n(this.options) || {};
      this.appearance && (e.appearance = n(this.appearance)), this.locale && (e.locale = this.locale), this.projectId && (e.projectId = this.projectId), this.tools && (e.tools = n(this.tools));
      const t = unlayer.createEditor({
        ...e,
        id: this.id,
        source: {
          name: c.name,
          version: c.version
        }
      });
      this.editor = this.createSerializedEditor(t), this.$emit("load"), (i = this.editor) == null || i.addEventListener("editor:ready", () => {
        this.$emit("ready");
      });
    },
    /**
     * @deprecated This method will be removed in the next major release. Use `editor.exportHtml` instead.
     */
    exportHtml(e) {
      var t;
      (t = this.editor) == null || t.exportHtml(e);
    },
    /**
     * @deprecated This method will be removed in the next major release. Use `editor.loadDesign` instead.
     */
    loadDesign(e) {
      var t;
      (t = this.editor) == null || t.loadDesign(e);
    },
    /**
    * @deprecated This method will be removed in the next major release. Use `editor.saveDesign` instead.
    */
    saveDesign(e) {
      var t;
      (t = this.editor) == null || t.saveDesign(e);
    }
  }
}), z = (e, t) => {
  const i = e.__vccOpts || e;
  for (const [s, r] of t)
    i[s] = r;
  return i;
}, R = ["id"];
function A(e, t, i, s, r, o) {
  return b(), y("div", {
    id: e.id,
    class: "unlayer-editor",
    style: f({ minHeight: e.minHeight })
  }, null, 12, R);
}
const U = /* @__PURE__ */ z(x, [["render", A], ["__scopeId", "data-v-95d7283d"]]);
export {
  U as EmailEditor
};
